Skip to main content
Compute Management/Host Related Interfaces/PCI Device Related APIs
PUTPCI Device Related APIsSince 3.5.0SynchronousAuth Required

Generate VFIO MDEV Sliced PCI Devices

Generate VFIO MDEV Sliced PCI Devices

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Request Inputs

Path Parameters

  • pciDeviceUuidStringRequired

    PCI device UUID

Body Fields

  • mdevSpecUuidStringRequired

    MDEV device spec UUID

  • systemTagsList

    System tags

  • userTagsList

    User tags

Responses

200 OK

On success, this API returns an empty JSON object {}.

Endpoint

PUT/zstack/v1/pci-devices/{pciDeviceUuid}/actions

/zstack/v1/pci-devices/{pciDeviceUuid}/actions

Operation ID

GenerateMdevDevices

Permalink

Request Example

curl -X PUT 'http://{host}/zstack/v1/pci-devices/{pciDeviceUuid}/actions' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"mdevSpecUuid":"<mdevSpecUuid>","systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{}

Change History

This API has no change history records yet.

View all change history